it-swarm.com.de

FileZilla 3.25.1 unter Ubuntu 16.04?

Die in Ubuntu Software verfügbare Standardversion von FileZilla ist 3.15.something, während die aktuellste Version von FileZilla 3.25.1 ist.

Ich versuche, 3.25.1 von GetDeb zu installieren, aber es gibt mir stattdessen 3.21.

Auf der GetDeb FileZilla-Seite heißt es, dass 3.25.1 nur für Ubuntu 16.10 verfügbar ist, was keinen Sinn ergibt.

Wie kann ich FileZilla 3.25.1 auf Ubuntu 16.04 installieren? (vorzugsweise von GetDeb oder einem anderen PPA, damit es in Zukunft problemlos aktualisiert werden kann)

6
Mixx

Ihre Frage besteht aus zwei Teilen.

1. Warum installiert GetDeb nur FileZilla 3.21.0-1 ~ getdeb1?

Weil dies die einzige Version ist, die im GetDeb-Repo für Ubuntu 16.04 verfügbar ist

GetDeb Filezilla

2. Wie kann ich FileZilla 3.25.1 installieren?

Die Anweisungen finden Sie im offiziellen Wiki

Methode 1:

Holen Sie sich das Installationsskript von hier

Oder speichere das Folgende in einer Datei (dies wird der Einfachheit halber direkt aus der Paste entnommen, ich habe es jedoch nicht geschrieben. Gutschrift geht an Josh Lear) :

#!/bin/s
#------------------------------
#Author: Josh Lear
#Email: [email protected]
#Last update: December 10, 2014
#Basic script for beginners
#to get filezilla on most 
#linux distributions
#------------------------------
apt-get install Subversion #get Subversion
svn co https://svn.filezilla-project.org/svn/FileZilla3/trunk filezilla #get filezilla source
apt-get install libgnutls-dev #install libgnutls
apt-get install libidn2-0-dev #install libidn
apt-get install gettext #install gettext
apt-get install libdbus-c++-dev #install libdbus
apt-get install libwxgtk3.0-dev #install wxWidgets
apt-get install libperl-dev #install libperl-dev
apt-get install libtool #install libtool
apt-get install autoconf #install autoconf
apt-get install automake #install automake
autoreconf -i #generate a configuration per system settings 
./configure #configure the filezilla distro 
make #make filezilla
make install #install filezilla

Führen Sie die zu installierende Datei als root aus.

Methode 2

Im Wesentlichen sind sie wie folgt:

Sudo apt-get install gettext autoconf automake libdbus-c++-dev libperl-dev libtool libgtk2.0-dev libsqlite3-dev libtinyxml-dev libdbus-1-dev

Laden Sie den SourceCode unter offizielle Links herunter

Extrahieren Sie den Code und führen Sie im extrahierten Ordner Folgendes aus:

Sudo ./configure
Sudo make
Sudo make install
1
ThatGuy

Als ich diese Frage an die GetDeb-Administratoren stellte, wurde mir mitgeteilt, dass für das neueste FileZilla eine Abhängigkeit von libgnutls28-dev (> = 3.4.15) besteht. Es gibt nur Version 3.4.10-4ubuntu1.2 in Ubuntu 16.04. Deshalb kann es dort nicht bauen.

0

neueste von seiner offiziellen Seite herunterladen. Sobald der heruntergeladene Ordner extra filezilla3 erscheint, ist dies in meinem Fall der Pfad/home/user/FileZilla3. Öffnen Sie FileZilla3 ihre beiden Ordner "bin", "share", "open bin folder" und genießen Sie die Anwendung "filezilla".

0
shahnawaz

Ich weiß, dass Sie nach einem ppa gefragt haben, aber wenn Sie die Linux-Version von der offiziellen Seite herunterladen, müssen Sie sie nur in Ihren bevorzugten Ordner extrahieren. Und wenn eine neue Version veröffentlicht wird, müssen Sie nur den alten Ordner löschen und den neuen extrahieren.

Und wenn Sie möchten, dass es "installiert" wird, fügen Sie einen Symlink in /usr/bin hinzu mit:

Sudo ln -s /home/PhoneixS/Programs/FileZilla3/bin/filezilla /usr/bin/filezilla

Ich denke, dies ist einfacher als das Kompilieren aus dem Quellcode (aber ich erkannte, dass dies schwieriger ist als die Verwendung eines ppa).

0
PhoneixS